#{extends 'border.html'/}
<div class="container formKontenDinamis">
#{form @masterdata.ProfilSatkerCtr.editSubmit(), method:'POST', class:'form-horizontal'}
    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
            	#{saveButton/}
            </div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            #{alert/}
            <div class="panel panel-default">
                <div class="panel-body">
                    <input type="hidden" name="user.id" value="${user?.id}">
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'jenis_instansi.label'}</label>
                        <div class="col-md-5">
                            <select name="user.kldi_jenis" id="jenis_instansi" class="form-control" required>
                                <option value="">&{'pilih.label'}</option>
                                #{list jenisKldiList, as:'jenisKldi'}
                                    #{if jenisKldi.jenis==user.kldi_jenis}
                                        <option value="${jenisKldi.jenis}" selected="selected">${jenisKldi.jenis}</option>
                                    #{/if}
                                    #{else}
                                        <option value="${jenisKldi.jenis}">${jenisKldi.jenis}</option>
                                    #{/else}
                                #{/list}
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'instansi.label'}</label>
                        <div class="col-md-5">
                            <select name="user.kldi_id" id="instansi" class="form-control" required>
                                <option value="">&{'pilih.label'}</option>
                                #{list kldiList, as:'kldi'}
                                    #{if kldi.id==user.kldi_id}
                                        <option value="${kldi.id}" selected="selected">${kldi.nama}</option>
                                    #{/if}
                                #{/list}
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'satuan_kerja.label'}</label>
                        <div class="col-md-5">
                            <select name="user.satker_id" id="satuan_kerja" class="form-control" required>
                                <option value="">&{'pilih.label'}</option>
                                #{list kldiSatkerList, as:'satker'}
                                    #{if satker.id==user.satker_id}
                                    *{#{if satker.id.toString().equals(user.satker_id.toString())}}*
                                        <option value="${satker.id}" selected="selected">${satker.nama}</option>
                                    #{/if}
                                #{/list}
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'satuan_kerja_alamat.label'}</label>
                        <div class="col-md-5">
                            <textarea id="alamat_satker" name="user.satuan_kerja_alamat" rows="10" class="form-control" required>${user?.satuan_kerja_alamat}</textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'satuan_kerja_npwp.label'}</label>
                        <div class="col-md-5">
                            <input type="text" id="npwpSatker" name="user.satuan_kerja_npwp" value="${user?.satuan_kerja_npwp}" class="form-control">
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'nip.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="user.nip" value="${user?.nip}" class="form-control alphanumeric" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'jabatan.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="user.jabatan" value="${user?.jabatan}" class="form-control alphanumeric" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'nomor_telp.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="user.no_telp" value="${user?.no_telp}" class="form-control phone" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'email.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="user.user_email" value="${user?.user_email}" class="form-control email" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'nomor_sertifikat_pbj.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="user.nomor_sertifikat_pbj" value="${user?.nomor_sertifikat_pbj}" class="form-control alphanumeric" required>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/jquery.maskedinput.min.js'}"></script>
<script type="text/javascript">
    var params = {};
    params["urlGetInstansi"] = "@{masterdata.ProfilSatkerCtr.getInstansi()}";
    params["urlGetSatker"] = "@{masterdata.ProfilSatkerCtr.getSatker()}";

    $(document).ready(function(){
        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        $("#npwpSatker").mask("99.999.999.9–999.999");

        $("body").on("change", "#jenis_instansi", function(){
            $(document).ajaxStart(function(){$.showLoading();});
            $(document).ajaxComplete(function(){$.hideLoading();});
            $(document).ajaxSuccess(function(){$.hideLoading();});
            $(document).ajaxError(function(){$.hideLoading();});

            var jenisInstansi = $(this).val();
            $("#instansi").empty();
            $("#satuan_kerja").empty();
            $("#instansi").append("<option value=''>${play.i18n.Messages.get('pilih.label')}</option>");
            $("#satuan_kerja").append("<option value=''>${play.i18n.Messages.get('pilih.label')}</option>");
            if(jenisInstansi != ""){
                $.ajax({
                    url: params.urlGetInstansi,
                    data: { jenisInstansi: jenisInstansi },
                    dataType: 'json',
                    success: function (results) {
                        $(results).each(function(idx, record){
                            $("#instansi").append("<option value='" + record.id + "'>" + record.nama + "</option>");
                        });
                    }
                });
            }
        });

        $("body").on("change", "#instansi", function(){
            $(document).ajaxStart(function(){$.showLoading();});
            $(document).ajaxComplete(function(){$.hideLoading();});
            $(document).ajaxSuccess(function(){$.hideLoading();});
            $(document).ajaxError(function(){$.hideLoading();});

            var idKldi = $(this).val();
            $("#satuan_kerja").empty();
            $("#satuan_kerja").append("<option value=''>${play.i18n.Messages.get('pilih.label')}</option>");
            if(idKldi != ""){
                $.ajax({
                    url: params.urlGetSatker,
                    data: { idKldi: idKldi },
                    dataType: 'json',
                    success: function (results) {
                        $(results).each(function(idx, record){
                            $("#satuan_kerja").append("<option value='" + record.id + "'>" + record.nama + "</option>");
                        });
                    }
                });
            }
        });
    });
</script>
#{/set}